Name:           xpsk31
Version:        0.8
Release:        1%{?dist}
Summary:        GTK+ graphical version of lpsk31 for Ham Radio

Group:          Applications/Communications
License:        GPLv2+
URL:            http://5b4az.chronos.org.uk/pages/digital.html
Source0:        http://5b4az.chronos.org.uk/pkg/psk31/%{name}/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
Source2:        %{name}.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  autoconf, automake, glib2-devel, gtk2-devel >= 2.0.0, libtool
BuildRequires:  desktop-file-utils
#Requires:       

%description
xpsk31 is a GTK+ graphical version of lpsk31, using the same basic signal 
decoding and encoding engine but controlled by the user via the GUI. In 
addition it has a FFT-derived "waterfall" display of the incoming signal and a 
"magniphase" display that shows the magnitude, phase and frequency error of the
psk31 signal.

%prep
%setup -q -n %{name}
#touch NEWS
#touch ChangeLog
autoreconf -v -i

%build
%configure
make CC="gcc $RPM_OPT_FLAGS" %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# no upstream .desktop or icon yet
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps/
cp %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/%{name}.png
desktop-file-install --vendor="fedora" \
        --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS README COPYING INSTALL
%{_bindir}/%{name}

%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*%{name}.desktop

%changelog
* Sat Mar 01 2008 Robert 'Bob' Jensen <bob@bobjensen.com> - 0.8-1
- Upstream Version Bump

* Thu Feb 28 2008 Robert 'Bob' Jensen <bob@bobjensen.com> 0.7-3
- Add .desktop and icon for GUI application
- Submit for review

* Tue Nov 20 2007 Robert 'Bob' Jensen <bob@bobjensen.com> 0.7-2
- Fix files section

* Tue Nov 20 2007 Robert 'Bob' Jensen <bob@bobjensen.com> 0.7-1
- Initial Fedora SPEC


